mscorlib 2.0.0.0 4.0.0.0 System.Object To be added.

Provides the ability to control access to objects without direct manipulation of Access Control Lists (ACLs). This class is the abstract base class for the and classes.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  true if the new object is a container object.
  True if the new object is a directory object.
- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the of the securable object associated with this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessRule `` `` `` `` `` `` To be added.

  Initializes a new instance of the class with the specified values.

  The object that this method creates.

  The identity to which the access rule applies. It must be an object that can be cast as a . The access mask of this rule. The access mask is a 32-bit collection of anonymous bits, the meaning of which is defined by the individual integrators. true if this rule is inherited from a parent container. Specifies the inheritance properties of the access rule. Specifies whether inherited access rules are automatically propagated. The propagation flags are ignored if is set to . Specifies the valid access control type.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether the access rules associated with this object have been modified.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the of the object associated with the access rules of this object. The object must be an object that can be cast as a object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether the access rules associated with this object are in canonical order.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether the Discretionary Access Control List (DACL) associated with this object is protected.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether the audit rules associated with this object are in canonical order.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether the System Access Control List (SACL) associated with this object is protected.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuditRule `` `` `` `` `` `` To be added.

  Initializes a new instance of the class with the specified values.

  The object that this method creates.

  The identity to which the audit rule applies. It must be an object that can be cast as a . The access mask of this rule. The access mask is a 32-bit collection of anonymous bits, the meaning of which is defined by the individual integrators. true if this rule is inherited from a parent container. Specifies the inheritance properties of the audit rule. Specifies whether inherited audit rules are automatically propagated. The propagation flags are ignored if is set to . Specifies the conditions for which the rule is audited.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether the audit rules associated with this object have been modified.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the object associated with the audit rules of this object. The object must be an object that can be cast as a object.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReference `` To be added.

  Gets the primary group associated with the specified owner.

  The primary group associated with the specified owner.

  The owner for which to get the primary group.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReference `` To be added.

  Gets the owner associated with the specified primary group.

  The owner associated with the specified group.

  The primary group for which to get the owner.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[]

  This method returns the security descriptor information currently in memory. It does not retrieve information saved in permanent storage.

  Returns an array of byte values that represents the security descriptor information for this object.

  An array of byte values that represents the security descriptor for this object. This method returns null if there is no security information in this object.

- Method
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Returns the Security Descriptor Definition Language (SDDL) representation of the specified sections of the security descriptor associated with this object.

  The SDDL representation of the specified sections of the security descriptor associated with this object.

  Specifies which sections (access rules, audit rules, primary group, owner) of the security descriptor to get.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether the group associated with the securable object has been modified.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether this object is a container object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether this object is a directory object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a Boolean value that specifies whether the security descriptor associated with this object can be converted to the Security Descriptor Definition Language (SDDL) format.

  true if the security descriptor associated with this object can be converted to the Security Descriptor Definition Language (SDDL) format; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether the owner of the securable object has been modified.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  The handle used to retrieve the persisted information. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  The name used to retrieve the persisted information. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ExceptionServices.HandleProcessCorruptedStateExceptions
  System.Void `` `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  true to enable the privilege that allows the caller to take ownership of the object. The name used to retrieve the persisted information. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all access rules associated with the specified .

  The for which to remove all access rules.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules associated with the specified .

  The for which to remove all audit rules.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Locks this object for read access.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Unlocks this object for read access.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets or removes protection of the access rules associated with this object. Protected access rules cannot be modified by parent objects through inheritance.

  true to protect the access rules associated with this object from inheritance; false to allow inheritance. true to preserve inherited access rules; false to remove inherited access rules. This parameter is ignored if is false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets or removes protection of the audit rules associated with this object. Protected audit rules cannot be modified by parent objects through inheritance.

  true to protect the audit rules associated with this object from inheritance; false to allow inheritance. true to preserve inherited audit rules; false to remove inherited audit rules. This parameter is ignored if is false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Sets the primary group for the security descriptor associated with this object.

  The primary group to set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Sets the owner for the security descriptor associated with this object.

  The owner to set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the security descriptor represented by the binary data contains null for its discretionary access control list (DACL), a single access control entry (ACE) that allows everyone full access (AEFA) is added to the DACL. If an application modifies the DACL of a security descriptor to which an AEFA ACE has been added, the AEFA ACE is persisted with the DACL when that DACL is persisted.

  This can result in an application unintentionally allowing access to principals. Because of this, an application should check for the existence of an AEFA ACE and remove it before modifying any security descriptor.

  Sets the security descriptor for this object from the specified array of byte values.

  The array of bytes from which to set the security descriptor.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If the security descriptor represented by the binary data contains null for its discretionary access control list (DACL), a single access control entry (ACE) that allows everyone full access (AEFA) is added to the DACL. If an application modifies the DACL of a security descriptor to which an AEFA ACE has been added, the AEFA ACE is persisted with the DACL when that DACL is persisted.

  This can result in an application unintentionally allowing access to principals. Because of this, an application should check for the existence of an AEFA ACE and remove it before modifying any security descriptor.

  Sets the specified sections of the security descriptor for this object from the specified array of byte values.

  The array of bytes from which to set the security descriptor. The sections (access rules, audit rules, owner, primary group) of the security descriptor to set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the security descriptor represented by the SDDL string contains null for its discretionary access control list (DACL), a single access control entry (ACE) that allows everyone full access (AEFA) is added to the DACL. If an application modifies the DACL of a security descriptor to which an AEFA ACE has been added, the AEFA ACE is persisted with the DACL when that DACL is persisted.

  This can result in an application unintentionally allowing access to principals. Because of this, an application should check for the existence of an AEFA ACE and remove it before modifying any security descriptor.

  Sets the security descriptor for this object from the specified Security Descriptor Definition Language (SDDL) string.

  The SDDL string from which to set the security descriptor.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If the security descriptor represented by the SDDL string contains null for its discretionary access control list (DACL), a single access control entry (ACE) that allows everyone full access (AEFA) is added to the DACL. If an application modifies the DACL of a security descriptor to which an AEFA ACE has been added, the AEFA ACE is persisted with the DACL when that DACL is persisted.

  This can result in an application unintentionally allowing access to principals. Because of this, an application should check for the existence of an AEFA ACE and remove it before modifying any security descriptor.

  Sets the specified sections of the security descriptor for this object from the specified Security Descriptor Definition Language (SDDL) string.

  The SDDL string from which to set the security descriptor. The sections (access rules, audit rules, owner, primary group) of the security descriptor to set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Locks this object for write access.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Unlocks this object for write access.